#! /bin/csh


# the following three env vars should be set to your hosts setup
setenv JHOME /opt/jdk1.2.2
setenv TNWHOME /home/isti/TriNetWatch1.0
setenv NSI /home/isti/hotspotNSI


#############################################################


setenv OB  $TNWHOME/classes/Orbacus-3.3_jars
setenv CLASSPATH .:${OB}/OB.jar:${OB}/OBProperty.jar:${OB}/OBNaming.jar:${OB}/OBEvent.jar:$TNWHOME/classes
set path=($JHOME/bin $path)


# cd to the home directory
cd $NSI/conf

set OC=$NSI/conf/orb.config

java com.ooc.CosEventServer.Server -ORBconfig $OC -i -OAport 10001 &
java com.ooc.CosEventServer.Server -ORBconfig $OC -i -OAport 10002 &
java com.ooc.CosEventServer.Server -ORBconfig $OC -i -OAport 10003 &
java com.ooc.CosEventServer.Server -ORBconfig $OC -i -OAport 10004 &
java com.ooc.CosEventServer.Server -ORBconfig $OC -i -OAport 10005 &


# wait for the Event Channels to start
sleep 15

java com.isti.trinetwatch.server.Server -c $NSI/conf/NSI.conf --daemon &
